Bug 36124 - R1C1 absolute/relative reference conversion broken
Summary: R1C1 absolute/relative reference conversion broken
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.4
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-11 00:18 UTC by Stephan Zietsman
Modified: 2012-11-22 08:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Zietsman 2011-04-11 00:18:17 UTC
Using R1C1 reference style, converting from a relative to an absolute reference (using Shift+F4), Calc incorrectly converts the reference.

--==  To reproduce ==--

Open Calc
Tools > Options > LibreOffice Calc > Formula > Formula options > Formula syntax > Excel R1C1 > OK

In row 1, column 1 (usually A1) enter the data: 1
In row 1, column 2 (usually B2) enter the data: 2
In row 2, column 1 (usually A2) enter the data: 3
In row 2, column 2 (usually B2) enter (without quotes) the formula: "= R1C1"

Press "Enter" to confirm input
 - the formula returns "1", as it should -

Select the reference "R1C1" in the formula bar (still in cell B2)
Press "Shift+F4"
 - the reference changes to "R1C" (incorrect, it should be R1C[-1]) -
Press "Enter" to confirm input
 - the formula returns "2", this is incorrect (should still return "1") -

Select the reference "R1C" in the formula bar (still in cell B2)
Press "Shift+F4" again
 - the reference changes to "RC1" (incorrect, it should be R[-1]C1) -
Press "Enter" to confirm input
 - the formula returns "3", this is incorrect (should still return "1") -

Select the reference "RC1" in the formula bar (still in cell B2)
Press "Shift+F4" again
 - the reference changes to "RC" (incorrect, it should be R[-1]C[-1]) -
Press "Enter" to confirm input
 - the formula returns "Err:522", this is incorrect (should still return "1") -

 --== End of reproduction ==-- 

Using LibreOfficePortable 3.3.2 as downloaded from http://portableapps.com/apps/office/libreoffice_portable
Running off local drive (C:\PortableApps\LibreOfficePortable) in Win7 64bit
About:
LibreOffice 3.3.2
OOO330m19 (Build:202)
tag libreoffice-3.3.2.2 

Apologies for the wordy post, but I wanted to avoid misinterpretation as far as possible.
Comment 1 Stephan Zietsman 2011-04-11 03:49:36 UTC
I just picked up a typo in my bug report.  Row 1, column 2 (where the number '2' is entered) is actually B1 (not B2).
Comment 2 m.a.riosv 2011-04-11 13:20:39 UTC
Confirmed LibreOffice 3.3.2
Comment 3 Kohei Yoshida 2011-04-11 13:30:14 UTC
I'm taking it, though it's a bit tight for 3.4.  If I can't make it, I'll re-target for 3.4.1.
Comment 4 Kohei Yoshida 2011-04-15 11:31:31 UTC
I'm on this, right now.
Comment 5 Kohei Yoshida 2011-04-15 22:41:41 UTC
Fixed it in the 3.4 branch.  The fix will be available in Beta2.
Comment 6 Stephan Zietsman 2011-07-11 05:59:43 UTC
I've tested the fix on LibreOfficePortable 3.4.1; unfortunately it is only partially fixed.  I've filed a new bug addressing it in more detail:
https://bugs.freedesktop.org/show_bug.cgi?id=39135
Comment 7 Kohei Yoshida 2011-07-11 06:10:38 UTC
There is no need to reopen this if you've filed a new one.